<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100177";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";exit();
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";exit();
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";exit();
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";exit();
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
///include ("MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br>
<div align="center">
<?PHP
///Inicia el proceso Masivo

////Identificar la cola del Buffer
$sql_IRC = mysql_query("select NO_DOCUMENTO from temporal_docsurtareas WHERE USUARIO_REG='$UsuEn' AND CVE_CUENTA='$CveCueCR1' LIMIT 0 , 1");
if (mysql_numrows($sql_IRC)==0) 
{///Inicia IF General 01
echo "<SCRIPT>alert('Se han generado las tareas de surtido para los Documentos Seleccionados de forma Exitosa.')</SCRIPT>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=187-GeneracionDeTareasXSeleccion.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
}
else
{///Else IF General 01
	

///Inicia While 01
$sqlW1 = "SELECT * FROM temporal_docsurtareas WHERE USUARIO_REG='$UsuEn' AND CVE_CUENTA='$CveCueCR1' ORDER BY ID ASC LIMIT 0 , 1";
$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))
{ ////Inicia While 1
	
	$IdBdArrEn=$rowW1["ID"];
	$IdEnArrEn=$rowW1["IDENVIOC"];
	$NoDocSuEn=$rowW1["NO_DOCUMENTO"];
	
	////Identificar los datos del Documento de Recibo
	$sqlIDR1 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
	if (mysql_numrows($sqlIDR1)==0) echo "";
	else{
	$registroIDR1=mysql_fetch_array($sqlIDR1);
	}
	if (mysql_numrows($sqlIDR1)>0)
	{
	$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
	$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
	$CveDesIDR1=$registroIDR1["DESTINO"];	
	$VigeIDR1=$registroIDR1["DISPONIBILIDAD"];
	$EdoDIDR1=$registroIDR1["EDO_DOCUMENTO"];
	$PriIDR1=$registroIDR1["PRIORIDAD"];	
	$TipAlmIDR1=$registroIDR1["TIPO_EXTRACCION"];
	}


	////Cambiando el Estado del Documento
		$sqlEDD="UPDATE tabla_docsurtido SET EDO_DOCUMENTO ='POR SURTIR' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
		$resultadoEDD=mysql_query($sqlEDD,$conexion) or die(mysql_error());
		$nt=0;
		
		function temporal_t($pallet,$sku,$canttot,$canttarea,$ubic,$lote,$priori,$lotep,$tiporeg,$observ,$resurtir){
		global $conexion;
		global $CveBodCR1;
		global $CveCueCR1;
		global $NoDocSuEn;
		global $UsuEn;
			
		////Identificar el prefijo configurado para la tarea
		$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sqlIDE1)==0) echo "";
		else{
		$registroIDE1=mysql_fetch_array($sqlIDE1);
		}
		if (mysql_numrows($sqlIDE1)>0)
		{
		$PrefijoTar=$registroIDE1["PREFIJO"];
		}
			////Generador de Folio para guardar el consecutivo del # de Tara en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CveCueCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					}
					
					//////++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//////	
					////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO. DE TAREA EN LA tabla_consetarea//////////
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					$HoraOK=date("H:i:s",time());
					$Fecha=date("Y/m/d");
					
					///$sqlIDP2 = "select max(ID) as last from tabla_tareas WHERE CVE_CUENTA='$CveCueCR1'"; 
					$sqlIDP2 = "select max(ID) as last from tabla_tareas"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$newid = $rs_libP2['last'] + 1;
					
					if($tiporeg==1){
					if($resurtir){
					//GENERAR RESURTIDO PICKING
					$con="INSERT INTO  tabla_tareas VALUES ('$newid', '$CveBodCR1', '$CveCueCR1', '$No_Tarea', '$NoDocSuEn', '$pallet', '$sku', '$canttot', '$canttarea', '0', '', 'POR EJECUTAR', '$UsuEn', '$Fecha', '$HoraOK', '', '', '', '$ubic', '$priori', 'GENERAR RESURTIDO', '$lote', '$lotep','')";
					}else{
					$con="INSERT INTO  tabla_tareas VALUES ('$newid', '$CveBodCR1', '$CveCueCR1', '$No_Tarea', '$NoDocSuEn', '$pallet', '$sku', '$canttot', '$canttarea', '0', '', 'POR EJECUTAR', '$UsuEn', '$Fecha', '$HoraOK', '', '', '', '$ubic', '$priori', '', '$lote', '$lotep','')";
					}
						}else{
					$con="INSERT INTO  tabla_tareas VALUES ('$newid', '$CveBodCR1', '$CveCueCR1', '$No_Tarea', '$NoDocSuEn', '', '$sku', '0', '0', '0', '', 'NO DISPONIBLE', '$UsuEn', '$Fecha', '$HoraOK', '', '', '', '', '0', '$observ', '', '','')";
						}
					
					$update=mysql_query($con,$conexion);
					if (!$update){echo "no se pudo ejecutar: $con";exit();}
			}
		
		////Asignar cantidades en 0 por Sku al Documento en la tabla: temporal_cantitarea
		////Con la finalidad de inicialzar el surtido en 0.
		$sqlIPA = "SELECT ID,LOTEPRODU,SKU,LOTE,CANT_X_SURTIR,ESTADO_CALIDAD FROM tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND APARTADO='0'";
		$resIPA=mysql_query($sqlIPA) or die(mysql_error());
		While($fila = mysql_fetch_array($resIPA,MYSQL_ASSOC))
		{
				///Inicia While 1
				$SkuPA=$fila["SKU"];
				$LotPA=$fila["LOTE"];
				$cant = $fila['CANT_X_SURTIR'];
				$calidad = $fila['ESTADO_CALIDAD'];

				//////HORA y FECHA/////
				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				$Fecha=date("Y/m/d");
				
					////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CveCueCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
			
		//Comprobar tipo de surtido, proceso y condicion de lote o lotep
		
		////if ((strpos($TipSurIDR1,'L') !== false) AND $fila['LOTE']!=NULL){$LOTE="AND tabla_inventario.LOTE='$fila[LOTE]' ";}
		////if ((strpos($TipSurIDR1,'P') !== false) AND $fila['LOTEPRODU']!=NULL) {$LOTEP="AND tabla_inventario.LOTEPRODU='$fila[LOTEPRODU]' ";}	
		////if (strpos($TipSurIDR1,'I') !== false) {$LOTE="AND tabla_inventario.TIPO_ALMACEN='$TipAlmIDR1' ";$ORDEN="FECHA_ENTRADA ASC";}
			
		////if (strpos($TipSurIDR1,'E') !== false) {$LOTE="AND tabla_inventario.TIPO_ALMACEN='$TipAlmIDR1' ";$ORDEN="CADUCIDAD ASC";}
		////if (strpos($TipSurIDR1,'O') !== false) {$LOTE="AND tabla_inventario.TIPO_ALMACEN='$TipAlmIDR1' ";$ORDEN="FECHA_ENTRADA DESC";}
		
		///***** Inicia Seccion Nueva a Probar
		if ((strpos($TipSurIDR1,'L') !== false) AND $fila['LOTE']!=NULL){$LOTE="AND tabla_inventario.LOTE='$fila[LOTE]' ";}
		if ((strpos($TipSurIDR1,'P') !== false) AND $fila['LOTEPRODU']!=NULL) {$LOTEP="AND tabla_inventario.LOTEPRODU='$fila[LOTEPRODU]' ";}
		if (strpos($TipSurIDR1,'I') !== false) {$ORDEN="FECHA_ENTRADA ASC";}
		if (strpos($TipSurIDR1,'E') !== false) {$ORDEN="CADUCIDAD ASC";}
		if (strpos($TipSurIDR1,'O') !== false) {$ORDEN="FECHA_ENTRADA DESC";}
		if (strpos($TipSurIDR1,'U') !== false) {$ORDEN="PRIORIDAD ASC";}
		///***** Termina Seccion Nueva a Probar
			
		if (strpos($TipSurIDR1,'F') !== false){
		ECHO "<script>alert('El surtido de flujo contínuo no esta disponible en este momento')</script>";
		exit();
		$CONSULTA="SELECT tabla_inventario.* , COALESCE( tabla_pickingfijo.PICKEO_MAXIMO, '1000000' ) AS PICKEO_MAXIMO, CASE WHEN tabla_pickingfijo.DISPONIBILIDAD =  'NO' THEN  'NO' ELSE  'OK' END AS DISPONIBLE FROM tabla_inventario RIGHT JOIN tabla_pickingfijo ON tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_inventario.SKU = tabla_pickingfijo.SKU WHERE tabla_inventario.CVE_CUENTA =  '$CveCueCR1' AND tabla_inventario.SKU ='$SkuPA' AND tabla_inventario.TIPO_ALMACEN='$TipAlmIDR1' AND tabla_inventario.EDO_CALIDAD = '$TipSalIDR1' $LOTE $LOTEP ORDER BY FIELD(tabla_inventario.TIPO_UBICACION,  'PICKING',  'STOCK',  'STAYING') , tabla_inventario.$ORDEN";
		$res = mysql_query($CONSULTA,$conexion);
		$inve = mysql_fetch_array($res);
			
				////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
				$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
				$libP2 = mysql_query($sqlIDP2); 
				$rs_libP2 = mysql_fetch_assoc($libP2); 
				$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					
				//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO. DE TAREA EN LA tabla_consetarea//////////
				$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
        		values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
				
				$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());

				////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_cantitarea
				$sqlIDP3 = "select max(ID) as ultimo_FOLIOP3 from temporal_cantitarea";
				$libP3 = mysql_query($sqlIDP3);
				$rs_libP3 = mysql_fetch_assoc($libP3);
				$id_nueP3 = $rs_libP3['ultimo_FOLIOP3'] + 1;
				
				$sqlGDS = "insert temporal_cantitarea (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_TAREA,SKU,CANT_XTAREA,LOTE,USUARIO_REG,FECHA,HORA)
				values('$id_nueP3','$CveBodCR1','$CveCueCR1','$NoDocSuEn','$No_TareaFINPG','$SkuPA','0','$LotPA','$UsuEn','$Fecha','$HoraOK')";
				$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
			//////Generar Folio para guardar Registro////
				$sqlGFI = "select max(ID) as ultimo_FOLIOGFI  from tabla_detalledocsurprio"; 
				$libGFI  = mysql_query($sqlGFI);
				$rs_libGFI  = mysql_fetch_assoc($libGFI); 
				$id_nuevoGFI  = $rs_libGFI ['ultimo_FOLIOGFI'] + 1;
				
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
		if($inve['PRIORIDAD']>0){$prio=$inve['PRIORIDAD'];}else{$prio=5;}
			////Guardar detalle
				$sqlGFI2 = "insert into tabla_detalledocsurprio (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,LOTE,CANT_SURTIDA,PRIORIDAD,USUARIO_REG,FECHA,HORA,LOTEPRODU) values('$id_nuevoGFI','$CveBodCR1','$CveCueCR1','$NoDocSuEn','$fila[SKU]','$fila[LOTE]','0','$prio','$UsuEn','$Fecha','$HoraOK','$fila[LOTEPRODU]')";
				$resultadoGFI2=mysql_query($sqlGFI2,$conexion) or die(mysql_error());
		}
		
		if(strpos($TipSurIDR1,'A') !== false){
		$full=false;
		$pickblanco=false;
		$ts=0;
		$peticion ="SELECT PICKEO_MAXIMO,CLAVEUBICACION,TIPO_RESURTIDO FROM tabla_pickingfijo WHERE SKU='$SkuPA' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND PICKEO_MAXIMO>=$cant AND DISPONIBILIDAD = 'SI'";
		$resultado1 = mysql_query($peticion,$conexion);
		if (mysql_numrows($resultado1)>0){
		$cveub = mysql_fetch_array($resultado1);
		
		//solo picking
		$inventario ="SELECT tabla_inventario.*,tabla_pickingfijo.MAXIMO,tabla_pickingfijo.MINIMO,tabla_pickingfijo.PICKEO_MAXIMO,tabla_pickingfijo.DISPONIBILIDAD FROM tabla_inventario INNER JOIN tabla_pickingfijo ON tabla_pickingfijo.SKU = tabla_inventario.SKU AND tabla_pickingfijo.CLAVEUBICACION = tabla_inventario.UBICACION AND tabla_pickingfijo.CVE_CUENTA = tabla_inventario.CVE_CUENTA AND tabla_pickingfijo.CVE_BODEGA = tabla_inventario.CVE_BODEGA WHERE tabla_inventario.CVE_CUENTA =  '$CveCueCR1' AND tabla_inventario.CVE_BODEGA='$CveBodCR1' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_inventario.SKU ='$SkuPA' AND tabla_inventario.NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1') AND tabla_inventario.EDO_CALIDAD = '$TipSalIDR1' AND tabla_inventario.TIPO_ALMACEN='$TipAlmIDR1' AND tabla_inventario.UBICACION='$cveub[CLAVEUBICACION]' $LOTE $LOTEP ORDER BY tabla_inventario.$ORDEN";
		
			$inventario2="SELECT SUM(CANTIDAD) FROM tabla_inventario WHERE tabla_inventario.CVE_CUENTA =  '$CveCueCR1' AND tabla_inventario.SKU ='$SkuPA' AND tabla_inventario.UBICACION='$cveub[CLAVEUBICACION]' AND tabla_inventario.NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1') AND tabla_inventario.EDO_CALIDAD = '$TipSalIDR1' $LOTE $LOTEP ";
			
			$resultado3 = mysql_query($inventario2,$conexion);
			$total = mysql_fetch_array($resultado3);
			if($total[0]>=$cant){$full=true;}
		//parche
		$resultado = mysql_query($inventario,$conexion);
		if(mysql_numrows($resultado)>0 and $full){$ts=1;}else{
			//VOLVER A BUSCAR
			$inventx="SELECT SUM(CANTIDAD) FROM tabla_inventario WHERE tabla_inventario.CVE_CUENTA =  '$CveCueCR1' AND tabla_inventario.SKU ='$SkuPA' AND  tabla_inventario.NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1') AND tabla_inventario.EDO_CALIDAD = '$TipSalIDR1' $LOTE $LOTEP ";
			$rd = mysql_query($inventx,$conexion);
			$suma = mysql_fetch_array($rd);
			
			if($cveub['TIPO_RESURTIDO']=='Caja'){
			$repos = mysql_query("SELECT PZASXCAJA FROM tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND SKU='$SkuPA'");
			$pzasrep=mysql_fetch_array($repos);
			$addw = " AND tabla_inventario.CANTIDAD >=$pzasrep[0] ";
			$loc= mysql_query("SELECT * FROM tabla_inventario where NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1') AND SKU='$SkuPA' AND CANTIDAD>0 AND EDO_CALIDAD='$TipSalIDR1' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' $addw AND TIPO_UBICACION!='PICKING' $add2 $add3 ORDER BY FIELD(TIPO_UBICACION,'STOCK','STAYING'),CANTIDAD DESC");
			
			if(mysql_numrows($loc)==0){
				echo "<script>alert('No hay stock suficiente para hacer un resurtido por Caja.')</script>";
				$resrt=false;}else{
				$rda = mysql_query("SELECT SUM(FLOOR(CANTIDAD/$pzasrep[0])*$pzasrep[0]) AS CANTX FROM tabla_inventario where SKU='$SkuPA' AND EDO_CALIDAD='$TipSalIDR1' AND NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1') AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' $addw AND TIPO_UBICACION!='PICKING' $add2 $add3 ORDER BY FIELD(TIPO_UBICACION,'STOCK','STAYING'),CANTIDAD DESC");
				$fg = mysql_fetch_array($rda);
				if ($rda>=$cant){$resrt=true;$addw = "";}else{$resrt=false;}			
				}
				}else{$resrt=true;$addw = "";}
			
			//picking con resurt
			$inventario="SELECT tabla_inventario.*,tabla_pickingfijo.MAXIMO,tabla_pickingfijo.CLAVEUBICACION,tabla_pickingfijo.MINIMO,tabla_pickingfijo.PICKEO_MAXIMO,tabla_pickingfijo.DISPONIBILIDAD FROM tabla_inventario INNER JOIN tabla_pickingfijo ON tabla_pickingfijo.SKU = tabla_inventario.SKU AND tabla_pickingfijo.CVE_CUENTA = tabla_inventario.CVE_CUENTA AND tabla_pickingfijo.CVE_BODEGA = tabla_inventario.CVE_BODEGA AND tabla_pickingfijo.CLAVEUBICACION = tabla_inventario.UBICACION WHERE tabla_inventario.CVE_CUENTA =  '$CveCueCR1' AND tabla_inventario.SKU ='$SkuPA' $addw AND tabla_inventario.CVE_BODEGA='$CveBodCR1' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_inventario.NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1') AND tabla_inventario.EDO_CALIDAD = '$TipSalIDR1' AND tabla_inventario.TIPO_ALMACEN='$TipAlmIDR1' $LOTE $LOTEP ORDER BY tabla_inventario.$ORDEN";
			
			$resultado2 = mysql_query($inventario,$conexion);
			//if($resultado2 and ($suma[0]>$cant) and $resrt){$ts=1;$pickblanco=true;}else{$ts=0;}
			if((mysql_numrows($resultado2)>0) and ($suma[0]>$cant) and $resrt){$ts=1;$pickblanco=true;}else{$ts=0;}
			}
		}
		if($ts==0){
		//stock
		$inventario ="SELECT tabla_inventario.* , COALESCE( tabla_pickingfijo.PICKEO_MAXIMO, '1000000' ) AS PICKEO_MAXIMO, CASE WHEN tabla_pickingfijo.DISPONIBILIDAD = 'NO' THEN  'NO' ELSE  'SI' END AS DISPONIBILIDAD FROM tabla_inventario LEFT JOIN tabla_pickingfijo ON tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_inventario.SKU = tabla_pickingfijo.SKU WHERE tabla_inventario.CVE_CUENTA = '$CveCueCR1' AND tabla_inventario.SKU ='$SkuPA' AND tabla_inventario.CVE_BODEGA='$CveBodCR1' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_inventario.NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1') AND tabla_inventario.EDO_CALIDAD = '$TipSalIDR1' AND tabla_inventario.TIPO_ALMACEN='$TipAlmIDR1' $LOTE $LOTEP ORDER BY FIELD(tabla_inventario.TIPO_UBICACION,  'PICKING',  'STOCK',  'STAYING'), tabla_inventario.$ORDEN";
		}
		//echo $inventario;
					$resultado = mysql_query($inventario,$conexion);
					$reserva=0;
					$ntold=$nt;
					while($ubc=mysql_fetch_array($resultado)){
						if(($ubc['PICKEO_MAXIMO']>0) AND ($reserva<$cant) AND ($ubc['DISPONIBILIDAD']=='SI')) {
							if($ts!=0){
							//PICKING
							if(((($cant-$reserva) > $ubc['CANTIDAD'])) OR $pickblanco){
								//VARIOS PALLETS EN PICKING
								//echo "<script>alert('HAY VARIOS PALLETS EN PICKING')</script>";
								if ($full){
								//echo "<script>alert('full, cant: $ubc[CANTIDAD]')</script>";
								$reserva = $reserva+$ubc['CANTIDAD'];
								$leubic=$ubc['UBICACION'];
								$lecant=$ubc['CANTIDAD'];
								if($ubc['CANTIDAD']>0){
								$nt = $nt + 1;
								temporal_t($ubc['NO_PALLET'],$ubc['SKU'],$cant,$lecant,$leubic,$ubc['LOTE'],$ubc['PRIORIDAD'],$fila['LOTEPRODU'],1,'',false);
								$update=mysql_query("UPDATE tabla_inventario SET CANTIDAD='0' WHERE ID='$ubc[ID]'",$conexion);
								}						
								}else{
								//EXISTENCIAS INSUFICIENTES RESURTIDO
								//echo "<script>alert('resurtido picking')</script>";
								$nt = $nt + 1;
								$reserva = $cant;
								if($pickblanco){$leubic=$ubc['CLAVEUBICACION'];$lecant=$cant;}else{$leubic=$ubc['UBICACION'];$lecant=$ubc['CANTIDAD'];}
								temporal_t($ubc['NO_PALLET'],$ubc['SKU'],$cant,$lecant,$leubic,$ubc['LOTE'],$ubc['PRIORIDAD'],$fila['LOTEPRODU'],1,'',true);
								}			
								}else{
								//EXISTENCIAS SUFICIENTES
								if(($cant-$reserva) <= $ubc['CANTIDAD']){
								$CANTIDAD= $ubc['CANTIDAD']-($cant-$reserva);
								$cantidadx = $ubc['CANTIDAD']- ($ubc['CANTIDAD']-($cant-$reserva));
								$update=mysql_query("UPDATE tabla_inventario SET CANTIDAD='$CANTIDAD' WHERE ID='$ubc[ID]'",$conexion);
								$nt = $nt + 1;
								$subt=$cant-$reserva;
								temporal_t($ubc['NO_PALLET'],$ubc['SKU'],$cant,$subt,$ubc['UBICACION'],$ubc['LOTE'],$ubc['PRIORIDAD'],$fila['LOTEPRODU'],1,'',false);
								$reserva += $cantidadx;}
							}}
							
							if($ts==0 AND ($ubc['CANTIDAD']>0)){
							//STOCK
							if(($cant-$reserva) >= $ubc['CANTIDAD'] and ((($cant-$reserva) <= $ubc['PICKEO_MAXIMO']) OR ($ubc['TIPO_UBICACION']!='PICKING'))){
								//RESTA TOTAL
								$update=mysql_query("UPDATE tabla_inventario SET CANTIDAD='0' WHERE ID='$ubc[ID]'",$conexion);
								$nt = $nt + 1;
								$reserva+= $ubc['CANTIDAD'];
								temporal_t($ubc['NO_PALLET'],$ubc['SKU'],$cant,$ubc['CANTIDAD'],$ubc['UBICACION'],$ubc['LOTE'],$ubc['PRIORIDAD'],$fila['LOTEPRODU'],1,'',false);
								}else{
								//RESTA PARCIAL
								if((($cant-$reserva) <= $ubc['PICKEO_MAXIMO']) OR ($ubc['TIPO_UBICACION']!='PICKING')){
								$CANTIDAD= $ubc['CANTIDAD']-($cant-$reserva);
								$cantidadx = $ubc['CANTIDAD']- ($ubc['CANTIDAD']-($cant-$reserva));
								$reserva += $cantidadx;
								$update=mysql_query("UPDATE tabla_inventario SET CANTIDAD='$CANTIDAD' WHERE ID='$ubc[ID]'",$conexion);
								$nt = $nt + 1;
								temporal_t($ubc['NO_PALLET'],$ubc['SKU'],$cant,$cantidadx,$ubc['UBICACION'],$ubc['LOTE'],$ubc['PRIORIDAD'],$fila['LOTEPRODU'],1,'',false);}
							}}
							}}
							if($ntold == $nt){
							//echo "<script>alert('No hay existencias del codigo $SkuPA.')</script>";
							//buscar causa
							$exist=mysql_query("SELECT SUM(CANTIDAD) from tabla_inventario WHERE CVE_CUENTA = '$CveCueCR1' AND SKU ='$SkuPA'");
							$calid=mysql_query("SELECT ID from tabla_inventario WHERE CVE_CUENTA = '$CveCueCR1' AND SKU ='$SkuPA' AND EDO_CALIDAD = '$TipSalIDR1'");
							if ((strpos($TipSurIDR1,'L') !== false) AND $fila['LOTE']!=NULL){$l=mysql_query("SELECT ID from tabla_inventario WHERE CVE_CUENTA = '$CveCueCR1' AND SKU ='$SkuPA' $LOTE");}
							if ((strpos($TipSurIDR1,'P') !== false) AND $fila['LOTEPRODU']!=NULL){$lp=mysql_query("SELECT ID from tabla_inventario WHERE CVE_CUENTA = '$CveCueCR1' AND SKU ='$SkuPA' $LOTEP");}
							$cs=0;
							if(mysql_numrows($exist)==0){$cs=$cs+1;}
							if(mysql_numrows($calid)==0){$cs=$cs+1;}
							if ((strpos($TipSurIDR1,'L') !== false) AND $fila['LOTE']!=NULL AND (mysql_numrows($l)==0)){$cs=$cs+1;}
							if ((strpos($TipSurIDR1,'P') !== false) AND $fila['LOTEPRODU']!=NULL AND (mysql_numrows($lp)==0)){$cs=$cs+1;}
							if($cs>1){$ob='No se encontraron la cantidad de existencias';}else{$ob='No se encontro la cantidad de existencias';}
							$countr=0;
							if(mysql_numrows($exist)==0){$countr=$countr+1;$ob=$ob." del código";}
							if(mysql_numrows($calid)==0){$countr=$countr+1;if($countr>0){$ob=$ob." del código $SkuPA ";}$ob=$ob." con el estado de calidad \\'$TipSalIDR1\\'";}
							if ((strpos($TipSurIDR1,'L') !== false) AND $fila['LOTE']!=NULL AND (mysql_numrows($l)==0)){$countr=$countr+1;if($countr>0){$ob=$ob.", ";}$ob=$ob." con el lote solicitado";}
							if ((strpos($TipSurIDR1,'P') !== false) AND $fila['LOTEPRODU']!=NULL AND (mysql_numrows($lp)==0)){$countr=$countr+1;if($countr>0){$ob=$ob.", ";}$ob=$ob." con el lote de producción solicitado";}

							$nt = $nt + 1;
							temporal_t("",$SkuPA,'0','0','','','','',2,"$ob",false);
							}}}
	
	
	
///******* Inicia Agregar registro para solicitud de impresión por Agrupación *******///
	
	///Generador de Folio
	$sqlID_SI = "select max(ID) as ultimo_FOLIO_SI from temporal_docsurtareas_impresion"; 
	$lib_SI = mysql_query($sqlID_SI); 
	$rs_lib_SI = mysql_fetch_assoc($lib_SI); 
	$id_nuevo_SI = $rs_lib_SI['ultimo_FOLIO_SI'] + 1;
					
	///Hora y Fecha
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$Fecha=date("Y/m/d");
			
	///Guardar en la BD
	$sql_SI = "insert into temporal_docsurtareas_impresion (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,IMPRESION_TAREAS,USUARIO_REG,FECHA,HORA)
	values('$id_nuevo_SI','$CveBodCR1','$CveCueCR1','$NoDocSuEn','POR IMPRIMIR','$UsuEn','$Fecha','$HoraOK')";
	$resultado_SI=mysql_query($sql_SI,$conexion) or die(mysql_error());
	
///******* Termina Agregar registro para solicitud de impresión por Agrupación *******///	
	
	////Eliminar el Registro del Docuento dentro del Buffer
	$sql_ED= "DELETE FROM temporal_docsurtareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND IDENVIOC='$IdEnArrEn' AND ID='$IdBdArrEn'";
	$resultado_ED=mysql_query($sql_ED,$conexion) or die(mysql_error());
    	
    echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=187-GeneracionDeTareasXSeleccion4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
    
	///Limpiando Variables
	$IdBdArrEn = "";
	$IdEnArrEn = "";
	$NoDocSuEn = "";
	
    exit();
                    
} ////Termina While 1

}///Termina IF General 01
        
?>
</div>

<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>